/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel23-demo.
 *
 * Ipspiel23-demo is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Ipspiel23-demo is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel23-demo. If not, see
 * <http://www.gnu.org/licenses/>.
 */
open module de.fhdw.gaming.ipspiel23.dwssp {
    exports de.fhdw.gaming.ipspiel23.ssp.domain;
    exports de.fhdw.gaming.ipspiel23.ssp.domain.factory;
    exports de.fhdw.gaming.ipspiel23.ssp.moves;
    exports de.fhdw.gaming.ipspiel23.ssp.moves.factory;
    exports de.fhdw.gaming.ipspiel23.ssp.domain.impl.outcomes;

    requires transitive de.fhdw.gaming.core;

    uses de.fhdw.gaming.ipspiel23.ssp.domain.factory.SspStrategyFactory;

    provides de.fhdw.gaming.ipspiel23.ssp.domain.factory.SspStrategyFactory with 
        de.fhdw.gaming.ipspiel23.ssp.strategy.SspSayStoneStrategyFactory,
        de.fhdw.gaming.ipspiel23.ssp.strategy.SspSayPaperStrategyFactory,
        de.fhdw.gaming.ipspiel23.ssp.strategy.SspSayScissorsStrategyFactory,
        de.fhdw.gaming.ipspiel23.ssp.strategy.SspMixedStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
        with de.fhdw.gaming.ipspiel23.ssp.domain.impl.SspGameBuilderFactoryImpl;
}
